# Package org.eclipse.jgit.notes

Git notes processing (for commits, etc).

See: Description

Interface Summary
Interface | Description
--- | ---
NoteMerger | Three-way note merge operation.

Class Summary
Class | Description
--- | ---
DefaultNoteMerger | Default implementation of the `NoteMerger`.
Note | In-memory representation of a single note attached to one object.
NoteMap | Index of notes from a note branch.
NoteMapMerger | Three-way note tree merge.

Exception Summary
Exception | Description
--- | ---
NotesMergeConflictException | This exception will be thrown from the `NoteMerger` when a conflict on Notes content is found during merge.

## Package org.eclipse.jgit.notes Description

Git notes processing (for commits, etc).